#!/bin/sh
# ---------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# Copyright IBM Corporation 2017, 2019. All Rights Reserved.
#
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp. 
# ---------------------------------------------------------------------
# DPIntegrationQs.sh
# This script can be used to create the MQ queue where DP replies to FTM IP.
# ---------------------------------------------------------------------

# Queue prefix
QPFX=FXR.IP

if [ -z "$1" ]
then
	echo "Syntax: DPIntegrationQs.sh [Queue Manager Name]"
else
	# Queues for FTM IP DP_Integration
    echo "define qlocal(${QPFX}.RESPONSE.FROM.DP) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
fi

# *
# * End!
# *
