@echo off
REM ---------------------------------------------------------------------
REM Licensed Materials - Property of IBM
REM
REM Copyright IBM Corporation 2018, 2019. All Rights Reserved.
REM
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM ---------------------------------------------------------------------
REM DPIntegrationQs.cmd
REM This script can be used to create the MQ queue where DP replies to FTM IP. (Windows version)
REM ---------------------------------------------------------------------

IF "%~1"=="" goto usage

REM Queue prefix for reply queue
SET QPFX=FXR.IP

echo define qlocal(%%QPFX%%.RESPONSE.FROM.DP) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1

goto exit

:usage
echo Syntax: DPIntegrationQs.cmd [Queue Manager Name]

:exit
: * End!
